Bug 205830

Summary: Add support for encoding WebCore::Font over IPC for DisplayList::DrawGlyphs
Product: WebKit Reporter: Wenson Hsieh <wenson_hsieh>
Component: TextAssignee: Wenson Hsieh <wenson_hsieh>
Status: RESOLVED FIXED    
Severity: Normal CC: cdumez, commit-queue, dino, esprehn+autocc, ews-watchlist, glenn, gyuyoung.kim, koivisto, macpherson, menard, mmaxfield, sabouhallawa, thorton, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
WIP
none
Patch none

Description Wenson Hsieh 2020-01-06 14:01:57 PST
<rdar://problem/57347719>
Comment 1 Wenson Hsieh 2020-01-06 14:07:28 PST Comment hidden (obsolete)
Comment 2 Wenson Hsieh 2020-01-07 14:53:11 PST
Created attachment 387038 [details]
Patch
Comment 3 Dean Jackson 2020-01-07 15:24:56 PST
Comment on attachment 387038 [details]
Patch

Can this have a test please?
Comment 4 Wenson Hsieh 2020-01-07 15:47:00 PST
(In reply to Dean Jackson from comment #3)
> Comment on attachment 387038 [details]
> Patch
> 
> Can this have a test please?

Ah, so these changes should be covered by a number of existing tests in fast/canvas (as well as imported tests) that exercise fillText and strokeText. We don't currently have a mechanism for painting the canvas element using the GPU process, but once that lands in webkit.org/b/204955, we should be able to mark a number of these tests as passing.

Currently, the entire fast/canvas is marked as [ Skip ] in LayoutTests/gpu-process/TestExpectations.
Comment 5 WebKit Commit Bot 2020-01-08 08:32:32 PST
The commit-queue encountered the following flaky tests while processing attachment 387038 [details]:

fetch/fetch-worker-crash.html bug 187257 (author: youennf@gmail.com)
The commit-queue is continuing to process your patch.
Comment 6 WebKit Commit Bot 2020-01-08 08:33:26 PST
Comment on attachment 387038 [details]
Patch

Clearing flags on attachment: 387038

Committed r254202: <https://trac.webkit.org/changeset/254202>
Comment 7 WebKit Commit Bot 2020-01-08 08:33:28 PST
All reviewed patches have been landed.  Closing bug.